
package jworms.game.weapons;

import jworms.game.GameField;
import jworms.openAL.OpenALWave;
import jworms.openGL.SmallTexture;
import org.lwjgl.opengl.GL;

public class GrenadeUI extends BallUI{
// static
  /** Texture. */
  private static SmallTexture texture = null;

  /** Hit sound. */
  private static OpenALWave soundHit = null;

  /**
   * Loads textures and sound.
   */
  public static void init(){
    // load images
    try{
      texture = new SmallTexture("images/weapons/grenade/grenade.png", GL.GL_LINEAR);
    } catch(Exception e){
      System.out.println("Error in GrenadeUI during loading images.");
      e.printStackTrace();
    }

    // load sound
    try{
      soundHit = OpenALWave.create("sounds/GrenadeImpact.wav");
    } catch(Exception e){
      System.out.println("Error in GrenadeUI during loading sound.");
      e.printStackTrace();
    }
  }

// non static
  /** The associated grenade. */
  private Grenade grenade = null;

  /**
   * Creates a UI for the given Grenade.
   *
   * @param grenade grenade
   * @param gameField game field
   */
  public GrenadeUI(Grenade grenade, GameField gameField){
    super(grenade, gameField, 9, 11);

    this.grenade = grenade;

    alpha = 1.0f;
  }

  public SmallTexture getTexture(){
    return texture;
  }

  public OpenALWave getSoundHit(){
    return soundHit;
  }
}
