
package jworms.game.weapons;

import jworms.game.GameField;
import jworms.game.GameObject;

import java.awt.geom.Point2D;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

public class Rocket extends Bullet{
// static
  /** ID for the object class. */
  private static int classID = 0;
  public int getClassID() { return classID; }
  public void setClassID(int id) { classID = id; }

  /**
   * Loads textures and sound.
   */
  public static void init(){
    RocketUI.init();

    // register class id
    GameField.registerClass(new Rocket(true, null, null, null));
  }

// non static
  public Rocket(boolean isHologram, GameField gameField, Point2D.Float position, Point2D.Float motion){
    this(isHologram, gameField, position, motion, 25);
  }

  public Rocket(boolean isHologram, GameField gameField, Point2D.Float position, Point2D.Float motion, int damageRadius){
    super(isHologram, gameField, position, motion, damageRadius);

    setUI(new RocketUI(this, gameField));
  }

  /**
   * Sets the life time of this rocket.
   *
   * @param seconds life time
   */
  public void setLifeTime(float seconds){
    lifeTime = seconds;
  }

  public void move(){
    super.move();

    // full gravity (bullet has only half)
    motion.y += GameField.GRAVITY / 2;

    // set angle
    angle = getMotionAngle();
  }

// network
  public GameObject create(GameField gameField, DataInputStream in) throws IOException{
    Rocket rocket = new Rocket(true, gameField, new Point2D.Float(), new Point2D.Float());
    rocket.recieveUpdate(in);
    return rocket;
  }

  public void sendUpdate(DataOutputStream out) throws IOException{
    super.sendUpdate(out);
  }

  public void recieveUpdate(DataInputStream in) throws IOException{
    super.recieveUpdate(in);
  }
}
