
package jworms.network;

import java.io.DataInputStream;

public interface UDPNetworkListener {
  /**
   * Called wenn joined the game.
   *
   * @param id id of the player
   */
  public void gameJoined(int id);

  /**
   * Called wenn an UDP package was received.
   *
   * @param in input stream
   */
  public void receivePacket(DataInputStream in);

  /**
   * Called wenn a game was found.
   *
   * @param gameInfo game info of the game
   */
  public void foundGame(GameInfo gameInfo);
}
